> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product

> Returns a single Product for the WMS connection with the associated product ID.



## OpenAPI

````yaml get /wms/products/{product_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/products/{product_id}:
    get:
      tags:
        - wms
        - Products
      summary: Get Product
      description: >-
        Returns a single Product for the WMS connection with the associated
        product ID.
      operationId: get_wms_get_product
      parameters:
        - in: path
          name: product_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsProductsSingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsProductsSingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsProductApiItemSchema'
      additionalProperties: false
      title: WmsProductsSingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsProductApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the product.
          example: product_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the product. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the product was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the product was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: name
          example: name
        sku:
          type:
            - string
            - 'null'
          description: sku
          example: sku
        gtin:
          type:
            - string
            - 'null'
          description: The Global Trade Item Number of the product. i.e. UPC, EAN, or ISBN.
          example: gtin
        unit_price:
          type:
            - number
            - 'null'
          description: The price of the product.
          example: 10.99
        inventory_items:
          type: array
          description: A list of inventory items associated with the product.
          example:
            - inventory_item_id: id1
              sku: sku1
              unit_quantity: 1
            - inventory_item_id: id2
              sku: sku2
              unit_quantity: 1
          items:
            $ref: '#/components/schemas/ProductInventoryItems'
        is_kit:
          type: boolean
          description: ''
          example: true
        active:
          type: boolean
          description: Whether the product is active.
          example: true
        supplier_object:
          anyOf:
            - $ref: '#/components/schemas/ProductSupplier'
            - type: 'null'
        country_of_origin:
          type:
            - string
            - 'null'
          description: The country of origin of the product.
          example: USA
        harmonized_code:
          type:
            - string
            - 'null'
          description: The harmonized HS code of the product.
          example: '123456'
        supplier_products:
          type: array
          description: A list of supplier products associated with the product.
          example:
            - supplier_id: id1
              supplier_name: name1
              external_id: ext_id1
              unit_cost: 1
            - supplier_id: id2
              supplier_name: name2
              external_id: ext_id2
              unit_cost: 2.5
          items:
            $ref: '#/components/schemas/ProductSupplierProducts'
        categories:
          type: array
          description: A list of category names associated with the product.
          example:
            - Electronics
            - Accessories
          items:
            type: string
            description: ''
        image_urls:
          type: array
          description: A list of image URLs associated with the product.
          example:
            - https://example.com/image1.jpg
          items:
            type: string
            description: ''
        external_system_url:
          type:
            - string
            - 'null'
          description: URL link to the product in the external system (WMS/Freight etc).
          example: https://example.com/product/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - active
        - additional_fields
        - categories
        - country_of_origin
        - created_date
        - external_system_url
        - gtin
        - harmonized_code
        - id
        - image_urls
        - inventory_items
        - is_kit
        - name
        - sku
        - supplier_object
        - supplier_products
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - unit_price
        - updated_date
        - warehouse_customer_id
      additionalProperties: false
      title: WmsProductApiItemSchema
    ProductInventoryItems:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            ID of the inventory item. Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
          example: inv_id
        sku:
          type:
            - string
            - 'null'
          description: ''
        unit_quantity:
          type: integer
          description: The number of units of the inventory item in the product.
          example: 0
      required:
        - inventory_item_id
        - sku
        - unit_quantity
      additionalProperties: false
      title: ProductInventoryItems
    ProductSupplier:
      type: object
      properties:
        supplier_id:
          type: string
          description: The ID of the supplier.
          example: supplier_id
        supplier_name:
          type:
            - string
            - 'null'
          description: The name of the supplier.
          example: supplier_name
      required:
        - supplier_id
        - supplier_name
      additionalProperties: false
      title: ProductSupplier
    ProductSupplierProducts:
      type: object
      properties:
        supplier_id:
          type: string
          description: ID of the supplier.
          example: sup_id
        supplier_name:
          type:
            - string
            - 'null'
          description: Name of the supplier.
          example: sup_name
        external_id:
          type:
            - string
            - 'null'
          description: The external ID of the product from the supplier.
          example: ext_id
        unit_cost:
          type:
            - string
            - 'null'
          description: The cost of the product from the supplier.
          example: unit_cost
      required:
        - external_id
        - supplier_id
        - supplier_name
        - unit_cost
      additionalProperties: false
      title: ProductSupplierProducts

````